%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 36 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 18
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 36 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Mon May 29 2023 Lawrence R. Rogers <lrr@cert.org> 1.6-1.18
* Release 1.6-1.18
	Kernel modules were added for the following kernels:
		6.2.15-100
		6.2.14-100
		6.2.13-100
		6.2.12-100
		6.2.11-100
		6.2.10-100
		6.2.9-100
		6.2.8-100
		6.2.7-100
		6.1.18-100
		6.1.15-100
		6.1.14-100
		6.1.13-100
		6.1.12-100
		6.1.11-100
		6.1.10-100
		6.1.9-100
		6.1.8-100
		6.1.7-100
		6.1.6-100
		6.1.5-100
		6.0.18-200
		6.0.17-200
		6.0.16-200
		6.0.15-200
		6.0.14-200
		6.0.12-200
		6.0.11-200
		6.0.10-200
		6.0.9-200
		6.0.8-200
		6.0.7-200
		6.0.5-200
		5.19.16-200
		5.19.15-201
		5.19.14-200
		5.19.13-200
		5.19.12-200

* Wed Sep 28 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.17
* Release 1.6-1.17
	Kernel modules were added for the following kernels:
		5.19.11-200
		5.19.10-200

* Wed Sep 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.16
* Release 1.6-1.16
	Kernel modules were added for the following kernels:
		5.19.9-200

* Wed Sep 14 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.15
* Release 1.6-1.15
	Kernel modules were added for the following kernels:
		5.19.8-200
		5.19.7-200

* Wed Sep  7 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.14
* Release 1.6-1.14
	Kernel modules were added for the following kernels:
		5.19.6-200

* Wed Aug 31 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.13
* Release 1.6-1.13
	Kernel modules were added for the following kernels:
		5.19.4-200
		5.18.19-200

* Wed Aug 24 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.12
* Release 1.6-1.12
	Kernel modules were added for the following kernels:
		5.18.18-200

* Wed Aug 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.11
* Release 1.6-1.11
	Kernel modules were added for the following kernels:
		5.18.17-200

* Wed Aug 10 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.10
* Release 1.6-1.10
	Kernel modules were added for the following kernels:
		5.18.16-200
		5.18.15-200

* Wed Jul 27 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.9
* Release 1.6-1.9
	Kernel modules were added for the following kernels:
		5.18.13-200

* Wed Jul 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.8
* Release 1.6-1.8
	Kernel modules were added for the following kernels:
		5.18.11-200

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.7
* Release 1.6-1.7
	Kernel modules were added for the following kernels:
		5.18.10-200
		5.18.9-200
		5.18.7-200
		5.18.6-200

* Tue Jun 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.6
* Release 1.6-1.6
	Kernel modules were added for the following kernels:
		5.18.5-200
		5.17.14-300

* Wed Jun 15 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.5
* Release 1.6-1.5
	Kernel modules were added for the following kernels:
		5.17.13-300

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.4
* Release 1.6-1.4
	Kernel modules were added for the following kernels:
		5.17.12-300

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.3
* Release 1.6-1.3
	Kernel modules were added for the following kernels:
		5.17.11-300

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.2
* Release 1.6-1.2
	Kernel modules were added for the following kernels:
		5.17.9-300
		5.17.8-300

* Sun May 15 2022 Lawrence R. Rogers <lrr@cert.org> 1.6-1.1
* Release 1.6-1.1
	Initial release. Kernel modules were added for the following kernels:
		5.17.7-300
		5.17.6-300
		5.17.5-300
